tvbrowser.core

## Class Settings

- java.lang.Object
- - tvbrowser.core.Settings

-     public class Settings
      extends java.lang.Object

  The Settings class provides access to the settings of the whole application (except the plugins).
  Author:
    Martin Oberhauser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `INFO_ID`
    `static java.lang.String` | `LAYOUT_COMPACT`
    `static java.lang.String` | `LAYOUT_COMPACT_TIME_BLOCK`
    `static java.lang.String` | `LAYOUT_OPTIMIZED_COMPACT_TIME_BLOCK`
    `static java.lang.String` | `LAYOUT_REAL_COMPACT`
    `static java.lang.String` | `LAYOUT_REAL_SYNCHRONOUS`
    `static java.lang.String` | `LAYOUT_TIME_BLOCK`
    `static java.lang.String` | `LAYOUT_TIME_SYNCHRONOUS`
    `static int` | `MAX_COLUMN_WIDTH` maximum width of the program table columns
    `static int` | `MIN_COLUMN_WIDTH` minimum width of the program table columns
    `static java.lang.String` | `PICTURE_ID`
    `static StringArrayProperty` | `propAcceptedLicenseArrForServiceIds` An array with the ids of the TV data service which license was accepted.
    `static StringArrayProperty` | `propAccessControl`
    `static BooleanProperty` | `propAlwaysShowTabBarForCenterPanel` If the tab bar in the center of the TV-Browser window should always be shown.
    `static BooleanProperty` | `propAskForAutoDownload`
    `static BooleanProperty` | `propAutoDataDownloadEnabled`
    `static IntProperty` | `propAutoDownloadPeriod`
    `static ChoiceProperty` | `propAutoDownloadType`
    `static BooleanProperty` | `propAutoDownloadWaitingEnabled`
    `static ShortProperty` | `propAutoDownloadWaitingTime`
    `static BooleanProperty` | `propAutoUpdatePlugins` If the plugin updates should be found automatically
    `static BlockedPluginArrayProperty` | `propBlockedPluginArray`
    `static StringArrayProperty` | `propCenterPanelArr` Array with the panel IDs shown in the center panel of TV-Browser main window.
    `static FontProperty` | `propChannelNameFont`
    `static BooleanProperty` | `propChannelsWereConfigured` saves if the channels were configured
    `static IntProperty` | `propColumnWidth`
    `static StringArrayProperty` | `propContextMenuDisabledItems` All disabled Items of the ContextMenu
    `static StringArrayProperty` | `propContextMenuOrder` Order of the Plugins in the Context-Menu.
    `static StringProperty` | `propCountry`
    `static StringArrayProperty` | `propCurrentlyUsedDataServiceIds`
    `static StringArrayProperty` | `propDataPluginPostProcessingOrder`
    `static IntProperty` | `propDataServiceAutoUpdateTime` The time between auto updates of data services
    `static StringArrayProperty` | `propDataServicesForUpdate`
    `static StringArrayProperty` | `propDeactivatedPlugins` The ID's of the plugins that have been deactivated.
    `static StringProperty` | `propDefaultFilter` The user selected default filter
    `static IntProperty` | `propDefaultNetworkConnectionTimeout`
    `static StringArrayProperty` | `propDeleteFilesAtStart`
    `static StringArrayProperty` | `propDisabledCenterPanelArr` Array with the deselected IDs of the center panels.
    `static IntProperty` | `propDownloadPeriod`
    `static BooleanProperty` | `propEnableAntialiasing`
    `static DateProperty` | `propFirstStartDate` Saves the date of the very first TV-Browser start
    `static StringArrayProperty` | `propHiddenMessageBoxes` list of hidden message boxes
    `static BooleanProperty` | `propHttpProxyAuthentifyAtProxy`
    `static StringProperty` | `propHttpProxyHost`
    `static EncodedStringProperty` | `propHttpProxyPassword`
    `static StringProperty` | `propHttpProxyPort`
    `static BooleanProperty` | `propHttpProxyUseProxy`
    `static StringProperty` | `propHttpProxyUser`
    `static StringProperty` | `propIcontheme` The IconTheme
    `static StringProperty` | `propInfoIconThemeID`
    `static BooleanProperty` | `propInternetConnectionCheck` If the internet connection should be checked before accessing internet
    `static BooleanProperty` | `propIsMenubarVisible` Property to store visibility state of menu bar.
    `static BooleanProperty` | `propIsPictureShowingDescription`
    `static BooleanProperty` | `propIsSearchFieldVisible` Show the SearchField in the Toolbar
    `static BooleanProperty` | `propIsStatusbarVisible`
    `static BooleanProperty` | `propIsToolbarAdditonalBottomSpace` Property to store if additonal space should be inserted below toolbar.
    `static BooleanProperty` | `propIsToolbarAdditonalTopSpace` Property to store if additonal space should be inserted above toolbar.
    `static BooleanProperty` | `propIsToolbarVisible`
    `static BooleanProperty` | `propIsUsingFullscreen`
    `static BooleanProperty` | `propIsWindowMaximized`
    `static BooleanProperty` | `propJGoodiesShadow`
    `static StringProperty` | `propJGoodiesTheme`
    `static ColorProperty` | `propKeyboardSelectedColor` Color for selected Program
    `static StringArrayProperty` | `propKnownContextMenuPlugins`
    `static StringProperty` | `propLanguage`
    `static StringProperty` | `propLastChannelExportFile`
    `static DateProperty` | `propLastDownloadDate`
    `static DateProperty` | `propLastNTPCheck` date of last NTP internet time check
    `static DateProperty` | `propLastPluginsUpdate`
    `static StringProperty` | `propLastUsedChannelGroup` the last active channel group for filtering the channel list
    `static StringProperty` | `propLastUsedFilter` the last active program filter
    `static StringProperty` | `propLastUsedReceivePlugin` id of the last active program receive target plugin
    `static StringProperty` | `propLastUsedReceiveTarget` id of the last active program receive target
    `static StringProperty` | `propLastUsedSettingsPath` the class name of the last settings tab that has been closed with OK before
    `static ContextMenuMouseActionArrayProperty` | `propLeftDoubleClickIfArray`
    `static ContextMenuMouseActionArrayProperty` | `propLeftSingleClickIfArray`
    `static StringProperty` | `propLogdirectory`
    `static StringProperty` | `propLookAndFeel`
    `static ContextMenuMouseActionArrayProperty` | `propMiddleDoubleClickIfArray`
    `static ContextMenuMouseActionArrayProperty` | `propMiddleSingleClickIfArray`
    `static BooleanProperty` | `propMinimizeAfterStartup`
    `static IntProperty` | `propNetworkCheckTimeout`
    `static BooleanProperty` | `propNowOnRestore`
    `static BooleanProperty` | `propNTPTimeCheck` enable checking date and time via NTP if no TV data can be downloaded
    `static StringProperty` | `propOneImageBackground`
    `static BooleanProperty` | `propOnlyMinimizeWhenWindowClosing`
    `static IntProperty` | `propPictureDescriptionLines`
    `static IntProperty` | `propPictureDuration`
    `static IntProperty` | `propPictureEndTime`
    `static StringArrayProperty` | `propPicturePluginIds`
    `static IntProperty` | `propPictureStartTime`
    `static IntProperty` | `propPictureType`
    `static BooleanProperty` | `propPluginBetaWarning` Stores if beta warining is enabled for plugin update.
    `static BooleanProperty` | `propPluginInfoDialogWasShown` Saves if the plugin info dialog was already shown
    `static StringArrayProperty` | `propPluginOrder` The order of the plugin IDs.
    `static StringProperty` | `propPluginsDirectory`
    `static IntProperty` | `propPluginsPictureSetting` The setting that contains the global picture settings value
    `static BooleanProperty` | `propPluginViewIsLeft` If the plugin view is on the left side and the channel list on the right side.
    `static ProgramFieldTypeArrayProperty` | `propProgramInfoFields`
    `static StringArrayProperty` | `propProgramInfoFieldsSeparators` Contains the separators for the selected program info filed of a program panel
    `static FontProperty` | `propProgramInfoFont`
    `static BooleanProperty` | `propProgramPanelAllowTransparency` If plugins are allowed to set the transparency of a program
    `static ColorProperty` | `propProgramPanelForegroundColor` Color of the foreground of a program panel
    `static BooleanProperty` | `propProgramPanelHyphenation` use hyphenation to break strings in a program panel
    `static ColorProperty` | `propProgramPanelMarkedHigherMediumPriorityColor` Color for Programs marked with HIGHER_MEDIUM_PRIORITY
    `static ColorProperty` | `propProgramPanelMarkedLowerMediumPriorityColor` Color for Programs marked with LOWER_MEDIUM_PRIORITY
    `static ColorProperty` | `propProgramPanelMarkedMaxPriorityColor` Color for Programs marked with MAX_PRIORITY
    `static ColorProperty` | `propProgramPanelMarkedMediumPriorityColor` Color for Programs marked with MEDIUM_PRIORITY
    `static ColorProperty` | `propProgramPanelMarkedMinPriorityColor` Color for Programs marked with MIN_PRIORITY
    `static IntProperty` | `propProgramPanelMaxLines` number of description lines show in program panel
    `static BooleanProperty` | `propProgramPanelShortDurationActive` show less description lines for very short programs
    `static IntProperty` | `propProgramPanelShortDurationMinutes` maximum duration in minutes to show no description
    `static IntProperty` | `propProgramPanelUsedDefaultMarkPriority` Used default mark priority for markings of plugins.
    `static BooleanProperty` | `propProgramPanelUsesExtraSpaceForMarkIcons` Used to track if a program panel should use additional space for the mark icons
    `static BooleanProperty` | `propProgramPanelWithMarkingsShowingBoder` Used to enable border on marked programs
    `static BooleanProperty` | `propProgramTableAutoChangeDate`
    `static ColorProperty` | `propProgramTableBackgroundSingleColor`
    `static ColorProperty` | `propProgramTableColorOnAirDark` Color for Program on Air - This shows how much was shown until now
    `static ColorProperty` | `propProgramTableColorOnAirLight` Color for Program on Air - This shows how much is not shown until now
    `static BooleanProperty` | `propProgramTableCutTitle` if a long program title is to be shown in the program table, shall it be cut?
    `static IntProperty` | `propProgramTableCutTitleLines` how many lines of the title shall be shown if it is cut
    `static IntProperty` | `propProgramTableEndOfDay` end of day in minutes after midnight
    `static StringArrayProperty` | `propProgramTableIconPlugins`
    `static BooleanProperty` | `propProgramTableMouseAutoScroll` auto scroll table after panning?
    `static BooleanProperty` | `propProgramTableMouseOver`
    `static ColorProperty` | `propProgramTableMouseOverColor` Color for Mouse-Over
    `static BooleanProperty` | `propProgramTableOnAirProgramsShowingBorder` Used to enable border for on air programs
    `static IntProperty` | `propProgramTableStartOfDay` start of day in minutes after midnight
    `static FontProperty` | `propProgramTimeFont`
    `static FontProperty` | `propProgramTitleFont`
    `static BooleanProperty` | `propRandomPersona` Stores if the Persona should be selected randomly at start.
    `static BooleanProperty` | `propScrollToTimeMarkingActivated`
    `static ColorProperty` | `propScrollToTimeProgramsDarkBackground`
    `static ColorProperty` | `propScrollToTimeProgramsLightBackground`
    `static ByteProperty` | `propSelectedChannelCategoryIndex` Saves the selected channel category filter index
    `static StringProperty` | `propSelectedChannelCountry` selected channel country filter in channel settings
    `static StringProperty` | `propSelectedChannelPlugin` selected plugin filter in channel settings
    `static StringProperty` | `propSelectedPersona` Stores the id of the selected Persona.
    `static IntProperty` | `propSettingsDialogDividerLocation`
    `static BooleanProperty` | `propShowAssistant`
    `static BooleanProperty` | `propShowBrowserOpenDialog` Show the "The Browser was opened"-Dialog
    `static BooleanProperty` | `propShowChannelIconsInChannellist`
    `static BooleanProperty` | `propShowChannelIconsInProgramTable`
    `static IntProperty` | `propShowChannelLogoForProgramPanel`
    `static BooleanProperty` | `propShowChannelNamesInChannellist`
    `static BooleanProperty` | `propShowChannelNamesInProgramTable`
    `static BooleanProperty` | `propShowChannels`
    `static BooleanProperty` | `propShowChannelTooltipInProgramTable` show tooltip with large channel icon
    `static BooleanProperty` | `propShowDatelist`
    `static BooleanProperty` | `propShowFilterBar`
    `static BooleanProperty` | `propShowPluginView`
    `static BooleanProperty` | `propShowProgramTablePictureBorder` Stores if the picture borders should be painted.
    `static BooleanProperty` | `propShowSortNumberInProgramLists` show sort number in program lists?
    `static BooleanProperty` | `propShowSortNumberInProgramTable` show sort number in program table?
    `static BooleanProperty` | `propShowTimeButtons`
    `static StringProperty` | `propSkinLFThemepack`
    `static BooleanProperty` | `propStartScreenShow`
    `static ChannelArrayProperty` | `propSubscribedChannels` subscribed channels
    `static ChoiceProperty` | `propTableBackgroundStyle`
    `static ChoiceProperty` | `propTableLayout`
    `static StringProperty` | `propTimeBlockBackground1`
    `static StringProperty` | `propTimeBlockBackground2`
    `static BooleanProperty` | `propTimeBlockShowWest`
    `static IntProperty` | `propTimeBlockSize`
    `static StringProperty` | `propTimeBlockWestImage1`
    `static StringProperty` | `propTimeBlockWestImage2`
    `static IntArrayProperty` | `propTimeButtons`
    `static StringProperty` | `propTimeOfDayBackgroundAfternoon`
    `static StringProperty` | `propTimeOfDayBackgroundEarly`
    `static StringProperty` | `propTimeOfDayBackgroundEdge`
    `static StringProperty` | `propTimeOfDayBackgroundEvening`
    `static StringProperty` | `propTimeOfDayBackgroundMidday`
    `static StringProperty` | `propTimezone`
    `static StringArrayProperty` | `propToolbarButtons`
    `static ChoiceProperty` | `propToolbarButtonStyle`
    `static StringProperty` | `propToolbarLocation`
    `static BooleanProperty` | `propToolbarUseBigIcons`
    `static IntProperty` | `propTrayChannelWidth`
    `static BooleanProperty` | `propTrayFilterNot`
    `static BooleanProperty` | `propTrayFilterNotMarked`
    `static BooleanProperty` | `propTrayImportantProgramsContainsDate`
    `static BooleanProperty` | `propTrayImportantProgramsContainsIcon`
    `static BooleanProperty` | `propTrayImportantProgramsContainsName`
    `static BooleanProperty` | `propTrayImportantProgramsContainsTime`
    `static BooleanProperty` | `propTrayImportantProgramsContainsToolTip`
    `static BooleanProperty` | `propTrayImportantProgramsEnabled`
    `static BooleanProperty` | `propTrayImportantProgramsInSubMenu`
    `static IntProperty` | `propTrayImportantProgramsPriority`
    `static BooleanProperty` | `propTrayImportantProgramsShowingSortNumber`
    `static IntProperty` | `propTrayImportantProgramsSize`
    `static BooleanProperty` | `propTrayIsAntialiasing`
    `static BooleanProperty` | `propTrayIsEnabled`
    `static BooleanProperty` | `propTrayMinimizeTo`
    `static BooleanProperty` | `propTrayNowProgramsContainsIcon`
    `static BooleanProperty` | `propTrayNowProgramsContainsName`
    `static BooleanProperty` | `propTrayNowProgramsContainsTime`
    `static BooleanProperty` | `propTrayNowProgramsContainsToolTip`
    `static BooleanProperty` | `propTrayNowProgramsEnabled`
    `static BooleanProperty` | `propTrayNowProgramsInSubMenu`
    `static BooleanProperty` | `propTrayNowProgramsShowingSortNumber`
    `static BooleanProperty` | `propTrayOnTimeProgramsContainsIcon`
    `static BooleanProperty` | `propTrayOnTimeProgramsContainsName`
    `static BooleanProperty` | `propTrayOnTimeProgramsContainsTime`
    `static BooleanProperty` | `propTrayOnTimeProgramsContainsToolTip`
    `static ColorProperty` | `propTrayOnTimeProgramsDarkBackground`
    `static BooleanProperty` | `propTrayOnTimeProgramsEnabled`
    `static BooleanProperty` | `propTrayOnTimeProgramsInSubMenu`
    `static ColorProperty` | `propTrayOnTimeProgramsLightBackground`
    `static BooleanProperty` | `propTrayOnTimeProgramsShowingSortNumber`
    `static BooleanProperty` | `propTrayOnTimeProgramsShowProgress`
    `static BooleanProperty` | `propTraySoonProgramsContainsIcon`
    `static BooleanProperty` | `propTraySoonProgramsContainsName`
    `static BooleanProperty` | `propTraySoonProgramsContainsTime`
    `static BooleanProperty` | `propTraySoonProgramsContainsToolTip`
    `static BooleanProperty` | `propTraySoonProgramsEnabled`
    `static BooleanProperty` | `propTraySoonProgramsShowingSortNumber`
    `static ChannelArrayProperty` | `propTraySpecialChannels`
    `static BooleanProperty` | `propTrayUseSpecialChannels`
    `static VersionProperty` | `propTVBrowserVersion`
    `static BooleanProperty` | `propTVBrowserVersionIsStable`
    `static StringProperty` | `propTVDataDirectory`
    `static BooleanProperty` | `propTwelveHourFormat` Use 12-Hour Format?
    `static BooleanProperty` | `propTypeAsYouFindEnabled` Type as you find in the program table enabled?
    `static StringArrayProperty` | `propUsedChannelGroups`
    `static BooleanProperty` | `propUseDefaultFonts`
    `static StringProperty` | `propUserDefinedWebbrowser`
    `static StringProperty` | `propUserDefinedWebbrowserParams`
    `static StringProperty` | `propVariant`
    `static BooleanProperty` | `propVerboseLogging`
    `static SplitViewProperty` | `propViewDateChannel`
    `static IntProperty` | `propViewDateLayout` if calendar view is active
    `static SplitViewProperty` | `propViewMainframe`
    `static SplitViewProperty` | `propViewNavigation`
    `static SplitViewProperty` | `propViewRoot`
    `static IntProperty` | `propWindowHeight`
    `static IntProperty` | `propWindowWidth`
    `static IntProperty` | `propWindowX`
    `static IntProperty` | `propWindowY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Settings()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `copyToSystem()` Enables the export
    `static DefaultSettings` | `getDefaultSettings()` Returns the Default-Settings.
    `static java.lang.String` | `getOSLibraryDirectoryName()`
    `static java.lang.String` | `getTimePattern()`
    `static java.lang.String` | `getUserDirectoryName()` Returns the user directory.
    `static java.lang.String` | `getUserSettingsDirName()`
    `static void` | `handleChangedSettings()`
    `static void` | `layoutWindow(java.lang.String windowId, java.awt.Window window)` Sets the window position and size for the given window with the values of the given id.
    `static void` | `layoutWindow(java.lang.String windowId, java.awt.Window window, java.awt.Dimension defaultSize)` Sets the window position and size for the given window with the values of the given id.
    `static void` | `layoutWindow(java.lang.String windowId, java.awt.Window window, java.awt.Dimension defaultSize, java.awt.Window parent)` Sets the window position and size for the given window with the values of the given id.
    `static void` | `loadSettings()` Reads the settings from settings file.
    `static void` | `storeSettings(boolean log)` Store all settings.
    `static void` | `updateContextMenuSettings()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LAYOUT_OPTIMIZED_COMPACT_TIME_BLOCK

          public static final java.lang.String LAYOUT_OPTIMIZED_COMPACT_TIME_BLOCK

      See Also:
        Constant Field Values

    - #### LAYOUT_COMPACT_TIME_BLOCK

          public static final java.lang.String LAYOUT_COMPACT_TIME_BLOCK

      See Also:
        Constant Field Values

    - #### LAYOUT_TIME_BLOCK

          public static final java.lang.String LAYOUT_TIME_BLOCK

      See Also:
        Constant Field Values

    - #### LAYOUT_REAL_COMPACT

          public static final java.lang.String LAYOUT_REAL_COMPACT

      See Also:
        Constant Field Values

    - #### LAYOUT_REAL_SYNCHRONOUS

          public static final java.lang.String LAYOUT_REAL_SYNCHRONOUS

      See Also:
        Constant Field Values

    - #### LAYOUT_COMPACT

          public static final java.lang.String LAYOUT_COMPACT

      See Also:
        Constant Field Values

    - #### LAYOUT_TIME_SYNCHRONOUS

          public static final java.lang.String LAYOUT_TIME_SYNCHRONOUS

      See Also:
        Constant Field Values

    - #### INFO_ID

          public static final java.lang.String INFO_ID

      See Also:
        Constant Field Values

    - #### PICTURE_ID

          public static final java.lang.String PICTURE_ID

      See Also:
        Constant Field Values

    - #### propTVBrowserVersion

          public static final VersionProperty propTVBrowserVersion

    - #### propTVBrowserVersionIsStable

          public static final BooleanProperty propTVBrowserVersionIsStable

    - #### propUseDefaultFonts

          public static final BooleanProperty propUseDefaultFonts

    - #### propEnableAntialiasing

          public static final BooleanProperty propEnableAntialiasing

    - #### propTVDataDirectory

          public static final StringProperty propTVDataDirectory

    - #### propPluginsDirectory

          public static final StringProperty propPluginsDirectory

    - #### propSelectedChannelCountry

          public static final StringProperty propSelectedChannelCountry

      selected channel country filter in channel settings
      Since:
        3.0

    - #### propSelectedChannelPlugin

          public static final StringProperty propSelectedChannelPlugin

      selected plugin filter in channel settings
      Since:
        3.1.1

    - #### propSubscribedChannels

          public static final ChannelArrayProperty propSubscribedChannels

      subscribed channels

    - #### propTableLayout

          public static final ChoiceProperty propTableLayout

    - #### propTableBackgroundStyle

          public static final ChoiceProperty propTableBackgroundStyle

    - #### propOneImageBackground

          public static final StringProperty propOneImageBackground

    - #### propTimeBlockSize

          public static final IntProperty propTimeBlockSize

    - #### propTimeBlockBackground1

          public static final StringProperty propTimeBlockBackground1

    - #### propTimeBlockBackground2

          public static final StringProperty propTimeBlockBackground2

    - #### propTimeBlockWestImage1

          public static final StringProperty propTimeBlockWestImage1

    - #### propTimeBlockWestImage2

          public static final StringProperty propTimeBlockWestImage2

    - #### propTimeBlockShowWest

          public static final BooleanProperty propTimeBlockShowWest

    - #### propTimeOfDayBackgroundEdge

          public static final StringProperty propTimeOfDayBackgroundEdge

    - #### propTimeOfDayBackgroundEarly

          public static final StringProperty propTimeOfDayBackgroundEarly

    - #### propTimeOfDayBackgroundMidday

          public static final StringProperty propTimeOfDayBackgroundMidday

    - #### propTimeOfDayBackgroundAfternoon

          public static final StringProperty propTimeOfDayBackgroundAfternoon

    - #### propTimeOfDayBackgroundEvening

          public static final StringProperty propTimeOfDayBackgroundEvening

    - #### propShowAssistant

          public static final BooleanProperty propShowAssistant

    - #### propUserDefinedWebbrowser

          public static final StringProperty propUserDefinedWebbrowser

    - #### propUserDefinedWebbrowserParams

          public static final StringProperty propUserDefinedWebbrowserParams

    - #### propProgramTableBackgroundSingleColor

          public static final ColorProperty propProgramTableBackgroundSingleColor

    - #### propTrayIsEnabled

          public static final BooleanProperty propTrayIsEnabled

    - #### propTrayIsAntialiasing

          public static final BooleanProperty propTrayIsAntialiasing

    - #### propTrayMinimizeTo

          public static final BooleanProperty propTrayMinimizeTo

    - #### propOnlyMinimizeWhenWindowClosing

          public static final BooleanProperty propOnlyMinimizeWhenWindowClosing

    - #### propNowOnRestore

          public static final BooleanProperty propNowOnRestore

    - #### propTrayFilterNotMarked

          public static final BooleanProperty propTrayFilterNotMarked

    - #### propTrayFilterNot

          public static final BooleanProperty propTrayFilterNot

    - #### propTrayUseSpecialChannels

          public static final BooleanProperty propTrayUseSpecialChannels

    - #### propTraySpecialChannels

          public static final ChannelArrayProperty propTraySpecialChannels

    - #### propTrayChannelWidth

          public static final IntProperty propTrayChannelWidth

    - #### propTrayOnTimeProgramsEnabled

          public static final BooleanProperty propTrayOnTimeProgramsEnabled

    - #### propTrayOnTimeProgramsInSubMenu

          public static final BooleanProperty propTrayOnTimeProgramsInSubMenu

    - #### propTrayOnTimeProgramsContainsTime

          public static final BooleanProperty propTrayOnTimeProgramsContainsTime

    - #### propTrayOnTimeProgramsContainsIcon

          public static final BooleanProperty propTrayOnTimeProgramsContainsIcon

    - #### propTrayOnTimeProgramsContainsName

          public static final BooleanProperty propTrayOnTimeProgramsContainsName

    - #### propTrayOnTimeProgramsShowingSortNumber

          public static final BooleanProperty propTrayOnTimeProgramsShowingSortNumber

    - #### propTrayOnTimeProgramsContainsToolTip

          public static final BooleanProperty propTrayOnTimeProgramsContainsToolTip

    - #### propTrayOnTimeProgramsShowProgress

          public static final BooleanProperty propTrayOnTimeProgramsShowProgress

    - #### propTrayOnTimeProgramsDarkBackground

          public static final ColorProperty propTrayOnTimeProgramsDarkBackground

    - #### propTrayOnTimeProgramsLightBackground

          public static final ColorProperty propTrayOnTimeProgramsLightBackground

    - #### propScrollToTimeMarkingActivated

          public static final BooleanProperty propScrollToTimeMarkingActivated

    - #### propScrollToTimeProgramsDarkBackground

          public static final ColorProperty propScrollToTimeProgramsDarkBackground

    - #### propScrollToTimeProgramsLightBackground

          public static final ColorProperty propScrollToTimeProgramsLightBackground

    - #### propTrayNowProgramsEnabled

          public static final BooleanProperty propTrayNowProgramsEnabled

    - #### propTrayNowProgramsInSubMenu

          public static final BooleanProperty propTrayNowProgramsInSubMenu

    - #### propTrayNowProgramsContainsTime

          public static final BooleanProperty propTrayNowProgramsContainsTime

    - #### propTrayNowProgramsContainsIcon

          public static final BooleanProperty propTrayNowProgramsContainsIcon

    - #### propTrayNowProgramsContainsName

          public static final BooleanProperty propTrayNowProgramsContainsName

    - #### propTrayNowProgramsContainsToolTip

          public static final BooleanProperty propTrayNowProgramsContainsToolTip

    - #### propTrayNowProgramsShowingSortNumber

          public static final BooleanProperty propTrayNowProgramsShowingSortNumber

    - #### propTraySoonProgramsEnabled

          public static final BooleanProperty propTraySoonProgramsEnabled

    - #### propTraySoonProgramsContainsTime

          public static final BooleanProperty propTraySoonProgramsContainsTime

    - #### propTraySoonProgramsContainsIcon

          public static final BooleanProperty propTraySoonProgramsContainsIcon

    - #### propTraySoonProgramsContainsName

          public static final BooleanProperty propTraySoonProgramsContainsName

    - #### propTraySoonProgramsContainsToolTip

          public static final BooleanProperty propTraySoonProgramsContainsToolTip

    - #### propTraySoonProgramsShowingSortNumber

          public static final BooleanProperty propTraySoonProgramsShowingSortNumber

    - #### propTrayImportantProgramsPriority

          public static final IntProperty propTrayImportantProgramsPriority

    - #### propTrayImportantProgramsEnabled

          public static final BooleanProperty propTrayImportantProgramsEnabled

    - #### propTrayImportantProgramsInSubMenu

          public static final BooleanProperty propTrayImportantProgramsInSubMenu

    - #### propTrayImportantProgramsSize

          public static final IntProperty propTrayImportantProgramsSize

    - #### propTrayImportantProgramsContainsIcon

          public static final BooleanProperty propTrayImportantProgramsContainsIcon

    - #### propTrayImportantProgramsContainsName

          public static final BooleanProperty propTrayImportantProgramsContainsName

    - #### propTrayImportantProgramsContainsDate

          public static final BooleanProperty propTrayImportantProgramsContainsDate

    - #### propTrayImportantProgramsContainsTime

          public static final BooleanProperty propTrayImportantProgramsContainsTime

    - #### propTrayImportantProgramsContainsToolTip

          public static final BooleanProperty propTrayImportantProgramsContainsToolTip

    - #### propTrayImportantProgramsShowingSortNumber

          public static final BooleanProperty propTrayImportantProgramsShowingSortNumber

    - #### propToolbarButtonStyle

          public static final ChoiceProperty propToolbarButtonStyle

    - #### propIsToolbarVisible

          public static final BooleanProperty propIsToolbarVisible

    - #### propIsMenubarVisible

          public static final BooleanProperty propIsMenubarVisible

      Property to store visibility state of menu bar.

    - #### propIsToolbarAdditonalTopSpace

          public static final BooleanProperty propIsToolbarAdditonalTopSpace

      Property to store if additonal space should be inserted above toolbar.

    - #### propIsToolbarAdditonalBottomSpace

          public static final BooleanProperty propIsToolbarAdditonalBottomSpace

      Property to store if additonal space should be inserted below toolbar.

    - #### propIsStatusbarVisible

          public static final BooleanProperty propIsStatusbarVisible

    - #### propSkinLFThemepack

          public static final StringProperty propSkinLFThemepack

    - #### propJGoodiesTheme

          public static final StringProperty propJGoodiesTheme

    - #### propJGoodiesShadow

          public static final BooleanProperty propJGoodiesShadow

    - #### propLookAndFeel

          public static final StringProperty propLookAndFeel

    - #### propColumnWidth

          public static final IntProperty propColumnWidth

    - #### propTimeButtons

          public static final IntArrayProperty propTimeButtons

    - #### propToolbarButtons

          public static final StringArrayProperty propToolbarButtons

    - #### propToolbarUseBigIcons

          public static final BooleanProperty propToolbarUseBigIcons

    - #### propToolbarLocation

          public static final StringProperty propToolbarLocation

    - #### propLeftSingleClickIfArray

          public static final ContextMenuMouseActionArrayProperty propLeftSingleClickIfArray

    - #### propLeftDoubleClickIfArray

          public static final ContextMenuMouseActionArrayProperty propLeftDoubleClickIfArray

    - #### propMiddleSingleClickIfArray

          public static final ContextMenuMouseActionArrayProperty propMiddleSingleClickIfArray

    - #### propMiddleDoubleClickIfArray

          public static final ContextMenuMouseActionArrayProperty propMiddleDoubleClickIfArray

    - #### propLastUsedFilter

          public static final StringProperty propLastUsedFilter

      the last active program filter

    - #### propLastUsedChannelGroup

          public static final StringProperty propLastUsedChannelGroup

      the last active channel group for filtering the channel list

    - #### propPluginOrder

          public static final StringArrayProperty propPluginOrder

      The order of the plugin IDs.

      In former times this property hold the list of plugin class names that should be activated on startup (in the right order). Now it holds IDs, not class names and activation is controlled by `propDeactivatedPlugins`.

    - #### propContextMenuOrder

          public static final StringArrayProperty propContextMenuOrder

      Order of the Plugins in the Context-Menu.

    - #### propContextMenuDisabledItems

          public static final StringArrayProperty propContextMenuDisabledItems

      All disabled Items of the ContextMenu

    - #### propDeactivatedPlugins

          public static final StringArrayProperty propDeactivatedPlugins

      The ID's of the plugins that have been deactivated.

      NOTE: By remembering the deactivated plugins rather then the activated plugins new plugins are activated automatically.

    - #### propDownloadPeriod

          public static final IntProperty propDownloadPeriod

    - #### propAutoDownloadType

          public static final ChoiceProperty propAutoDownloadType

    - #### propAutoDownloadPeriod

          public static final IntProperty propAutoDownloadPeriod

    - #### propAskForAutoDownload

          public static final BooleanProperty propAskForAutoDownload

    - #### propLastDownloadDate

          public static final DateProperty propLastDownloadDate

    - #### propProgramTitleFont

          public static final FontProperty propProgramTitleFont

    - #### propProgramInfoFont

          public static final FontProperty propProgramInfoFont

    - #### propChannelNameFont

          public static final FontProperty propChannelNameFont

    - #### propProgramTimeFont

          public static final FontProperty propProgramTimeFont

    - #### propProgramInfoFields

          public static final ProgramFieldTypeArrayProperty propProgramInfoFields

    - #### propProgramInfoFieldsSeparators

          public static final StringArrayProperty propProgramInfoFieldsSeparators

      Contains the separators for the selected program info filed of a program panel

    - #### propProgramTableIconPlugins

          public static final StringArrayProperty propProgramTableIconPlugins

    - #### propProgramTableOnAirProgramsShowingBorder

          public static final BooleanProperty propProgramTableOnAirProgramsShowingBorder

      Used to enable border for on air programs

    - #### propProgramTableColorOnAirDark

          public static final ColorProperty propProgramTableColorOnAirDark

      Color for Program on Air - This shows how much was shown until now

    - #### propProgramTableColorOnAirLight

          public static final ColorProperty propProgramTableColorOnAirLight

      Color for Program on Air - This shows how much is not shown until now

    - #### propProgramPanelUsesExtraSpaceForMarkIcons

          public static final BooleanProperty propProgramPanelUsesExtraSpaceForMarkIcons

      Used to track if a program panel should use additional space for the mark icons

    - #### propProgramPanelWithMarkingsShowingBoder

          public static final BooleanProperty propProgramPanelWithMarkingsShowingBoder

      Used to enable border on marked programs

    - #### propProgramPanelUsedDefaultMarkPriority

          public static final IntProperty propProgramPanelUsedDefaultMarkPriority

      Used default mark priority for markings of plugins.

    - #### propProgramPanelMarkedMinPriorityColor

          public static final ColorProperty propProgramPanelMarkedMinPriorityColor

      Color for Programs marked with MIN_PRIORITY

    - #### propProgramPanelMarkedLowerMediumPriorityColor

          public static final ColorProperty propProgramPanelMarkedLowerMediumPriorityColor

      Color for Programs marked with LOWER_MEDIUM_PRIORITY

    - #### propProgramPanelMarkedMediumPriorityColor

          public static final ColorProperty propProgramPanelMarkedMediumPriorityColor

      Color for Programs marked with MEDIUM_PRIORITY

    - #### propProgramPanelMarkedHigherMediumPriorityColor

          public static final ColorProperty propProgramPanelMarkedHigherMediumPriorityColor

      Color for Programs marked with HIGHER_MEDIUM_PRIORITY

    - #### propProgramPanelMarkedMaxPriorityColor

          public static final ColorProperty propProgramPanelMarkedMaxPriorityColor

      Color for Programs marked with MAX_PRIORITY

    - #### propProgramPanelForegroundColor

          public static final ColorProperty propProgramPanelForegroundColor

      Color of the foreground of a program panel

    - #### propProgramPanelAllowTransparency

          public static final BooleanProperty propProgramPanelAllowTransparency

      If plugins are allowed to set the transparency of a program

    - #### propProgramPanelHyphenation

          public static final BooleanProperty propProgramPanelHyphenation

      use hyphenation to break strings in a program panel

    - #### propProgramPanelMaxLines

          public static final IntProperty propProgramPanelMaxLines

      number of description lines show in program panel

    - #### propProgramPanelShortDurationActive

          public static final BooleanProperty propProgramPanelShortDurationActive

      show less description lines for very short programs

    - #### propProgramPanelShortDurationMinutes

          public static final IntProperty propProgramPanelShortDurationMinutes

      maximum duration in minutes to show no description

    - #### propProgramTableMouseOver

          public static final BooleanProperty propProgramTableMouseOver

    - #### propProgramTableMouseOverColor

          public static final ColorProperty propProgramTableMouseOverColor

      Color for Mouse-Over

    - #### propKeyboardSelectedColor

          public static final ColorProperty propKeyboardSelectedColor

      Color for selected Program

    - #### propIsWindowMaximized

          public static final BooleanProperty propIsWindowMaximized

    - #### propIsUsingFullscreen

          public static final BooleanProperty propIsUsingFullscreen

    - #### propWindowWidth

          public static final IntProperty propWindowWidth

    - #### propWindowHeight

          public static final IntProperty propWindowHeight

    - #### propWindowX

          public static final IntProperty propWindowX

    - #### propWindowY

          public static final IntProperty propWindowY

    - #### propSettingsDialogDividerLocation

          public static final IntProperty propSettingsDialogDividerLocation

    - #### propProgramTableStartOfDay

          public static final IntProperty propProgramTableStartOfDay

      start of day in minutes after midnight

    - #### propProgramTableEndOfDay

          public static final IntProperty propProgramTableEndOfDay

      end of day in minutes after midnight

    - #### propHttpProxyUseProxy

          public static final BooleanProperty propHttpProxyUseProxy

    - #### propDefaultNetworkConnectionTimeout

          public static final IntProperty propDefaultNetworkConnectionTimeout

    - #### propNetworkCheckTimeout

          public static final IntProperty propNetworkCheckTimeout

    - #### propPictureType

          public static final IntProperty propPictureType

    - #### propPictureDescriptionLines

          public static final IntProperty propPictureDescriptionLines

    - #### propPicturePluginIds

          public static final StringArrayProperty propPicturePluginIds

    - #### propPictureStartTime

          public static final IntProperty propPictureStartTime

    - #### propPictureEndTime

          public static final IntProperty propPictureEndTime

    - #### propPictureDuration

          public static final IntProperty propPictureDuration

    - #### propIsPictureShowingDescription

          public static final BooleanProperty propIsPictureShowingDescription

    - #### propHttpProxyHost

          public static final StringProperty propHttpProxyHost

    - #### propHttpProxyPort

          public static final StringProperty propHttpProxyPort

    - #### propHttpProxyAuthentifyAtProxy

          public static final BooleanProperty propHttpProxyAuthentifyAtProxy

    - #### propHttpProxyUser

          public static final StringProperty propHttpProxyUser

    - #### propHttpProxyPassword

          public static final EncodedStringProperty propHttpProxyPassword

    - #### propDataServicesForUpdate

          public static final StringArrayProperty propDataServicesForUpdate

    - #### propShowPluginView

          public static final BooleanProperty propShowPluginView

    - #### propShowTimeButtons

          public static final BooleanProperty propShowTimeButtons

    - #### propShowChannels

          public static final BooleanProperty propShowChannels

    - #### propShowDatelist

          public static final BooleanProperty propShowDatelist

    - #### propShowFilterBar

          public static final BooleanProperty propShowFilterBar

    - #### propViewRoot

          public static final SplitViewProperty propViewRoot

    - #### propViewMainframe

          public static final SplitViewProperty propViewMainframe

    - #### propViewNavigation

          public static final SplitViewProperty propViewNavigation

    - #### propViewDateChannel

          public static final SplitViewProperty propViewDateChannel

    - #### propStartScreenShow

          public static final BooleanProperty propStartScreenShow

    - #### propLanguage

          public static final StringProperty propLanguage

    - #### propCountry

          public static final StringProperty propCountry

    - #### propVariant

          public static final StringProperty propVariant

    - #### propTimezone

          public static final StringProperty propTimezone

    - #### propMinimizeAfterStartup

          public static final BooleanProperty propMinimizeAfterStartup

    - #### propLogdirectory

          public static final StringProperty propLogdirectory

    - #### propShowChannelIconsInProgramTable

          public static final BooleanProperty propShowChannelIconsInProgramTable

    - #### propShowChannelNamesInProgramTable

          public static final BooleanProperty propShowChannelNamesInProgramTable

    - #### propShowChannelIconsInChannellist

          public static final BooleanProperty propShowChannelIconsInChannellist

    - #### propShowChannelNamesInChannellist

          public static final BooleanProperty propShowChannelNamesInChannellist

    - #### propUsedChannelGroups

          public static final StringArrayProperty propUsedChannelGroups

    - #### propDeleteFilesAtStart

          public static final StringArrayProperty propDeleteFilesAtStart

    - #### propIcontheme

          public static final StringProperty propIcontheme

      The IconTheme

    - #### propShowBrowserOpenDialog

          public static final BooleanProperty propShowBrowserOpenDialog

      Show the "The Browser was opened"-Dialog

    - #### propIsSearchFieldVisible

          public static final BooleanProperty propIsSearchFieldVisible

      Show the SearchField in the Toolbar

    - #### propTwelveHourFormat

          public static final BooleanProperty propTwelveHourFormat

      Use 12-Hour Format?

    - #### propAcceptedLicenseArrForServiceIds

          public static final StringArrayProperty propAcceptedLicenseArrForServiceIds

      An array with the ids of the TV data service which license was accepted.

    - #### propLastUsedSettingsPath

          public static final StringProperty propLastUsedSettingsPath

      the class name of the last settings tab that has been closed with OK before

    - #### MAX_COLUMN_WIDTH

          public static final int MAX_COLUMN_WIDTH

      maximum width of the program table columns
      See Also:
        Constant Field Values

    - #### MIN_COLUMN_WIDTH

          public static final int MIN_COLUMN_WIDTH

      minimum width of the program table columns
      See Also:
        Constant Field Values

    - #### propPluginsPictureSetting

          public static final IntProperty propPluginsPictureSetting

      The setting that contains the global picture settings value

    - #### propDefaultFilter

          public static final StringProperty propDefaultFilter

      The user selected default filter

    - #### propAutoUpdatePlugins

          public static final BooleanProperty propAutoUpdatePlugins

      If the plugin updates should be found automatically

    - #### propLastPluginsUpdate

          public static final DateProperty propLastPluginsUpdate

    - #### propNTPTimeCheck

          public static final BooleanProperty propNTPTimeCheck

      enable checking date and time via NTP if no TV data can be downloaded

    - #### propLastNTPCheck

          public static final DateProperty propLastNTPCheck

      date of last NTP internet time check

    - #### propInternetConnectionCheck

          public static final BooleanProperty propInternetConnectionCheck

      If the internet connection should be checked before accessing internet

    - #### propPluginViewIsLeft

          public static final BooleanProperty propPluginViewIsLeft

      If the plugin view is on the left side and the channel list on the right side.
      Since:
        2.7

    - #### propViewDateLayout

          public static final IntProperty propViewDateLayout

      if calendar view is active
      Since:
        3.0

    - #### propDataServiceAutoUpdateTime

          public static final IntProperty propDataServiceAutoUpdateTime

      The time between auto updates of data services
      Since:
        2.7

    - #### propHiddenMessageBoxes

          public static final StringArrayProperty propHiddenMessageBoxes

      list of hidden message boxes
      Since:
        2.7

    - #### propShowSortNumberInProgramTable

          public static final BooleanProperty propShowSortNumberInProgramTable

      show sort number in program table?
      Since:
        3.3.4

    - #### propShowSortNumberInProgramLists

          public static final BooleanProperty propShowSortNumberInProgramLists

      show sort number in program lists?
      Since:
        3.3.4

    - #### propShowChannelTooltipInProgramTable

          public static final BooleanProperty propShowChannelTooltipInProgramTable

      show tooltip with large channel icon
      Since:
        2.7

    - #### propFirstStartDate

          public static final DateProperty propFirstStartDate

      Saves the date of the very first TV-Browser start

    - #### propPluginInfoDialogWasShown

          public static final BooleanProperty propPluginInfoDialogWasShown

      Saves if the plugin info dialog was already shown

    - #### propSelectedChannelCategoryIndex

          public static final ByteProperty propSelectedChannelCategoryIndex

      Saves the selected channel category filter index

    - #### propAutoDataDownloadEnabled

          public static final BooleanProperty propAutoDataDownloadEnabled

    - #### propAutoDownloadWaitingTime

          public static final ShortProperty propAutoDownloadWaitingTime

    - #### propAutoDownloadWaitingEnabled

          public static final BooleanProperty propAutoDownloadWaitingEnabled

    - #### propProgramTableCutTitle

          public static final BooleanProperty propProgramTableCutTitle

      if a long program title is to be shown in the program table, shall it be cut?
      Since:
        3.0

    - #### propProgramTableCutTitleLines

          public static final IntProperty propProgramTableCutTitleLines

      how many lines of the title shall be shown if it is cut
      Since:
        3.0

    - #### propProgramTableMouseAutoScroll

          public static final BooleanProperty propProgramTableMouseAutoScroll

      auto scroll table after panning?
      Since:
        3.0

    - #### propCurrentlyUsedDataServiceIds

          public static final StringArrayProperty propCurrentlyUsedDataServiceIds

      Since:
        3.0

    - #### propBlockedPluginArray

          public static final BlockedPluginArrayProperty propBlockedPluginArray

    - #### propLastUsedReceivePlugin

          public static final StringProperty propLastUsedReceivePlugin

      id of the last active program receive target plugin
      Since:
        3.0

    - #### propLastUsedReceiveTarget

          public static final StringProperty propLastUsedReceiveTarget

      id of the last active program receive target
      Since:
        3.0

    - #### propChannelsWereConfigured

          public static final BooleanProperty propChannelsWereConfigured

      saves if the channels were configured
      Since:
        3.0

    - #### propPluginBetaWarning

          public static final BooleanProperty propPluginBetaWarning

      Stores if beta warining is enabled for plugin update.
      Since:
        3.0

    - #### propSelectedPersona

          public static final StringProperty propSelectedPersona

      Stores the id of the selected Persona.
      Since:
        3.1

    - #### propRandomPersona

          public static final BooleanProperty propRandomPersona

      Stores if the Persona should be selected randomly at start.
      Since:
        3.1

    - #### propShowProgramTablePictureBorder

          public static final BooleanProperty propShowProgramTablePictureBorder

      Stores if the picture borders should be painted.
      Since:
        3.1

    - #### propTypeAsYouFindEnabled

          public static final BooleanProperty propTypeAsYouFindEnabled

      Type as you find in the program table enabled?
      Since:
        3.1.1

    - #### propAlwaysShowTabBarForCenterPanel

          public static final BooleanProperty propAlwaysShowTabBarForCenterPanel

      If the tab bar in the center of the TV-Browser window should always be shown.
      Since:
        3.2

    - #### propCenterPanelArr

          public static final StringArrayProperty propCenterPanelArr

      Array with the panel IDs shown in the center panel of TV-Browser main window.
      Since:
        3.2

    - #### propDisabledCenterPanelArr

          public static final StringArrayProperty propDisabledCenterPanelArr

      Array with the deselected IDs of the center panels.

    - #### propProgramTableAutoChangeDate

          public static final BooleanProperty propProgramTableAutoChangeDate

    - #### propInfoIconThemeID

          public static final StringProperty propInfoIconThemeID

    - #### propVerboseLogging

          public static final BooleanProperty propVerboseLogging

    - #### propKnownContextMenuPlugins

          public static final StringArrayProperty propKnownContextMenuPlugins

    - #### propAccessControl

          public static final StringArrayProperty propAccessControl

    - #### propShowChannelLogoForProgramPanel

          public static final IntProperty propShowChannelLogoForProgramPanel

    - #### propLastChannelExportFile

          public static final StringProperty propLastChannelExportFile

    - #### propDataPluginPostProcessingOrder

          public static final StringArrayProperty propDataPluginPostProcessingOrder

  - ### Constructor Detail

    - #### Settings

          public Settings()

  - ### Method Detail

    - #### getDefaultSettings

          public static DefaultSettings getDefaultSettings()

      Returns the Default-Settings. These Settings are stored in the mac, windows and linux.properties-Files
      Returns:
        Default-Settings

    - #### copyToSystem

          public static void copyToSystem()

      Enables the export

    - #### getUserDirectoryName

          public static java.lang.String getUserDirectoryName()

      Returns the user directory. (e.g.: ~/.tvbrowser/)

    - #### getOSLibraryDirectoryName

          public static java.lang.String getOSLibraryDirectoryName()

    - #### getUserSettingsDirName

          public static java.lang.String getUserSettingsDirName()

    - #### storeSettings

          public static void storeSettings(boolean log)
                                    throws TvBrowserException

      Store all settings. This method is called on quitting the application.
      Parameters:
        `log` - If it should be written into the log.
      Throws:
        `TvBrowserException` - Exception while saving the settings

    - #### loadSettings

          public static void loadSettings()

      Reads the settings from settings file. If there is no settings file, default settings are used.

    - #### updateContextMenuSettings

          public static void updateContextMenuSettings()

    - #### handleChangedSettings

          public static void handleChangedSettings()

    - #### getTimePattern

          public static java.lang.String getTimePattern()

      Returns:
        The Time-Pattern for SimpleFormatter's

    - #### layoutWindow

          public static final void layoutWindow(java.lang.String windowId,
                          java.awt.Window window)

      Sets the window position and size for the given window with the values of the given id.
      Parameters:
        `windowId` - The id of the values to set.
        `window` - The window to layout.
      Since:
        2.7

    - #### layoutWindow

          public static final void layoutWindow(java.lang.String windowId,
                          java.awt.Window window,
                          java.awt.Dimension defaultSize)

      Sets the window position and size for the given window with the values of the given id.
      Parameters:
        `windowId` - The id of the values to set.
        `window` - The window to layout.
        `defaultSize` - The default size for the window.
      Since:
        2.7

    - #### layoutWindow

          public static final void layoutWindow(java.lang.String windowId,
                          java.awt.Window window,
                          java.awt.Dimension defaultSize,
                          java.awt.Window parent)

      Sets the window position and size for the given window with the values of the given id.
      Parameters:
        `windowId` - The id of the values to set.
        `window` - The window to layout.
        `defaultSize` - The default size for the window.
        `parent` - The parent window of the window to layout (if not `null` the window is placed relative to it.)
      Since:
        3.3

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)